Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TibcoRV

    public interface TibcoRV

Nested Class Summary
`static interface` | `TibcoRV.Callback`
`static interface` | `TibcoRV.CMTransport`
`static interface` | `TibcoRV.Transport`
`static interface` | `TibcoRV.UseCM`

Method Summary
`void` | `onFinish()`
`long` | `sendAEMessage(com.tibco.tibrv.TibrvMsg data, String sendSubject, double timeout)` sendAEMessage is used to send a AE Message via RVDTransport
`long` | `sendAEMessageAsString(String data, String fieldName, String subject, double timeout)` sendAEMessageAString is used to send a AE Message via RVDTransport
`long` | `sendAEMessageAsXML(org.apache.xmlbeans.XmlObject data, String fieldName, String subject, double timeout)` sendAEMessageAsXML is used to send a AE Message via RVDTransport
`long` | `sendMessage(com.tibco.tibrv.TibrvMsg msg, String subject, double timeout)` sendMessage is used to send the message via RVDTransport , CMTransport
`long` | `sendMessageAsString(String msg, String fieldName, String subject, double timeout)` sendMessageAsString is used to send the message via RVDTransport , CMTransport
`long` | `sendMessageAsXML(org.apache.xmlbeans.XmlObject msg, String fieldName, String subject, double timeout)` sendMessageAsXML is used to send the message via RVDTransport , CMTransport
`long` | `sendReply(com.tibco.tibrv.TibrvMsg replyMsg, com.tibco.tibrv.TibrvMsg sendMsg, double timeout)` sendReply is used to send a reply via RVDTransport , CMTransport
`long` | `sendReplyAsString(com.tibco.tibrv.TibrvMsg replyMsg, String sendMsg, String fieldName, double timeout)` sendReplyAsString is used to send a reply via RVDTransport , CMTransport
`long` | `sendReplyAsXML(com.tibco.tibrv.TibrvMsg replyMsg, org.apache.xmlbeans.XmlObject sendMsg, String fieldName, double timeout)` sendReplyAsXML is used to send a reply via RVDTransport , CMTransport
`com.tibco.tibrv.TibrvMsg` | `sendRequest(com.tibco.tibrv.TibrvMsg msg, String sendSubject, double timeout)` sendRequest is used to send the message via RVDTransport , CMTransport
`com.tibco.tibrv.TibrvMsg` | `sendRequestAsString(String msg, String fieldName, String sendSubject, double timeout)` sendRequestAsString is used to send the message via RVDTransport , CMTransport
`com.tibco.tibrv.TibrvMsg` | `sendRequestAsXML(org.apache.xmlbeans.XmlObject msg, String fieldName, String sendSubject, double timeout)` sendRequestAsXML is used to send the message via RVDTransport , CMTransport
`void` | `setStringEncoding(String encoding)` setStringEncoding Set the character encoding for converting between Java Unicode strings and wire format strings.
`void` | `setXMLProperties(com.bea.wli.control.tibRVControlDynamicProperties.TibRVDynamicPropertiesDocument doc)`

Method Detail

### sendMessage

    long sendMessage(com.tibco.tibrv.TibrvMsg msg,
                     String subject,
                     double timeout)

  sendMessage is used to send the message via RVDTransport , CMTransport

  Parameters:
    `msg` - the message that needs to be send
    `subject` - the subject of the message
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendMessageAsString

    long sendMessageAsString(String msg,
                             String fieldName,
                             String subject,
                             double timeout)

  sendMessageAsString is used to send the message via RVDTransport , CMTransport

  Parameters:
    `msg` - the message that needs to be send
    `fieldName` - the name of the TibRV Field used to send the payload
    `subject` - the subject of the message
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendMessageAsXML

    long sendMessageAsXML(org.apache.xmlbeans.XmlObject msg,
                          String fieldName,
                          String subject,
                          double timeout)

  sendMessageAsXML is used to send the message via RVDTransport , CMTransport

  Parameters:
    `msg` - XML message that needs to be send
    `fieldName` - the name of the TibRV Field used to send the payload
    `subject` - the subject of the message
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendRequest

    com.tibco.tibrv.TibrvMsg sendRequest(com.tibco.tibrv.TibrvMsg msg,
                                         String sendSubject,
                                         double timeout)

  sendRequest is used to send the message via RVDTransport , CMTransport

  Parameters:
    `msg` - the message that needs to be send
    `sendSubject` - the send subject of the message
    `timeout` - to wait after the method returns
  Returns:
    TibrvMsg
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendRequestAsString

    com.tibco.tibrv.TibrvMsg sendRequestAsString(String msg,
                                                 String fieldName,
                                                 String sendSubject,
                                                 double timeout)

  sendRequestAsString is used to send the message via RVDTransport , CMTransport

  Parameters:
    `msg` - the message that needs to be send
    `fieldName` - the name of the TibRV Field used to send the payload
    `sendSubject` - the send subject of the message
    `timeout` - time to wait for the reply
  Returns:
    TibrvMsg
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendReply

    long sendReply(com.tibco.tibrv.TibrvMsg replyMsg,
                   com.tibco.tibrv.TibrvMsg sendMsg,
                   double timeout)

  sendReply is used to send a reply via RVDTransport , CMTransport

  Parameters:
    `msg` - the reply message
    `msg` - the request message
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendReplyAsString

    long sendReplyAsString(com.tibco.tibrv.TibrvMsg replyMsg,
                           String sendMsg,
                           String fieldName,
                           double timeout)

  sendReplyAsString is used to send a reply via RVDTransport , CMTransport

  Parameters:
    `msg` - the reply message
    `msg` - the request message
    `fieldName` - the name of the TibRV Field used to send the payload
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendReplyAsXML

    long sendReplyAsXML(com.tibco.tibrv.TibrvMsg replyMsg,
                        org.apache.xmlbeans.XmlObject sendMsg,
                        String fieldName,
                        double timeout)

  sendReplyAsXML is used to send a reply via RVDTransport , CMTransport

  Parameters:
    `msg` - the reply message
    `msg` - the request message
    `fieldName` - the name of the TibRV Field used to send the payload
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendAEMessage

    long sendAEMessage(com.tibco.tibrv.TibrvMsg data,
                       String sendSubject,
                       double timeout)

  sendAEMessage is used to send a AE Message via RVDTransport

  Parameters:
    `msg` - the reply message
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendAEMessageAsString

    long sendAEMessageAsString(String data,
                               String fieldName,
                               String subject,
                               double timeout)

  sendAEMessageAString is used to send a AE Message via RVDTransport

  Parameters:
    `msg` - the message data
    `fieldName` - the name of the TibRV Field used to send the payload
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendAEMessageAsXML

    long sendAEMessageAsXML(org.apache.xmlbeans.XmlObject data,
                            String fieldName,
                            String subject,
                            double timeout)

  sendAEMessageAsXML is used to send a AE Message via RVDTransport

  Parameters:
    `msg` - the message data
    `fieldName` - the name of the TibRV Field used to send the payload
  Returns:
    long
  Throws:
    `ControlException` - if any exception occurs while sending a message

### setXMLProperties

    void setXMLProperties(com.bea.wli.control.tibRVControlDynamicProperties.TibRVDynamicPropertiesDocument doc)
                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### setStringEncoding

    void setStringEncoding(String encoding)
                           throws UnsupportedEncodingException

  setStringEncoding Set the character encoding for converting between Java Unicode strings and wire format strings.

  Parameters:
    `encoding` - character set for encoding
  Throws:
    `UnsupportedEncodingException`

### sendRequestAsXML

    com.tibco.tibrv.TibrvMsg sendRequestAsXML(org.apache.xmlbeans.XmlObject msg,
                                              String fieldName,
                                              String sendSubject,
                                              double timeout)

  sendRequestAsXML is used to send the message via RVDTransport , CMTransport

  Parameters:
    `msg` - XML message that needs to be send
    `fieldName` - the name of the TibRV Field used to send the payload
    `sendSubject` - the send subject of the message
    `timeout` - time to wait for the reply
  Returns:
    TibrvMsg
  Throws:
    `ControlException` - if any exception occurs while sending a message

### onFinish

    void onFinish()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD